=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2005-09-14 09:02:54 +0000
+++ bzrlib/errors.py	2005-09-14 14:54:08 +0000
@@ -25,6 +25,7 @@
 class BzrError(StandardError):
     pass
 
+
 class BzrCheckError(BzrError):
     pass
 
@@ -94,9 +95,9 @@
 
 class DivergedBranches(BzrError):
     def __init__(self, branch1, branch2):
+        BzrError.__init__(self, "These branches have diverged.")
         self.branch1 = branch1
         self.branch2 = branch2
-        BzrError.__init__(self, "These branches have diverged.")
 
 class UnrelatedBranches(BzrCommandError):
     def __init__(self):
@@ -107,36 +108,18 @@
 
 class NotAncestor(BzrError):
     def __init__(self, rev_id, not_ancestor_id):
-        self.rev_id = rev_id
-        self.not_ancestor_id = not_ancestor_id
-        msg = "Revision %s is not an ancestor of %s" % (not_ancestor_id, 
-                                                        rev_id)
-        BzrError.__init__(self, msg)
-
-
-class NotAncestor(BzrError):
-    def __init__(self, rev_id, not_ancestor_id):
-        self.rev_id = rev_id
-        self.not_ancestor_id = not_ancestor_id
-        msg = "Revision %s is not an ancestor of %s" % (not_ancestor_id, 
-                                                        rev_id)
-        BzrError.__init__(self, msg)
-
-
-class NotAncestor(BzrError):
-    def __init__(self, rev_id, not_ancestor_id):
-        self.rev_id = rev_id
-        self.not_ancestor_id = not_ancestor_id
-        msg = "Revision %s is not an ancestor of %s" % (not_ancestor_id, 
-                                                        rev_id)
-        BzrError.__init__(self, msg)
+        msg = "Revision %s is not an ancestor of %s" % (not_ancestor_id, 
+                                                        rev_id)
+        BzrError.__init__(self, msg)
+        self.rev_id = rev_id
+        self.not_ancestor_id = not_ancestor_id
 
 
 class InstallFailed(BzrError):
     def __init__(self, revisions):
+        msg = "Could not install revisions:\n%s" % " ,".join(revisions)
+        BzrError.__init__(self, msg)
         self.revisions = revisions
-        msg = "Could not install revisions:\n%s" % " ,".join(revisions)
-        BzrError.__init__(self, msg)
 
 
 class AmbiguousBase(BzrError):

